Subject: Possible regression in next-20150323 due to "ARM, arm64: kvm: get rid of the bounce page"

From: [email-masked] (Will Deacon)
Date: Thu, 26 Mar 2015 13:36:31 +0000

On Thu, Mar 26, 2015 at 12:39:39AM +0000, Simon Horman wrote:
> On Tue, Mar 24, 2015 at 11:13:58AM -0500, Nishanth Menon wrote:
> > I think we now have a new error: (seen with omap2plus_defconfig)
> > on next-20150324 :
> > ./arch/arm/kernel/vmlinux.lds:677: undefined symbol `__hyp_idmap_size'
> > referenced in expression
> > make: *** [vmlinux] Error 1
> 
> Thanks, I am seeing that too.
> 
> My armchair suggestion is that the following should be reverted.
> 
> e60a1fec44a2f ("ARM: kvm: implement replacement for ld's LOG2CEIL()")
> 06f75a1f62000 ("ARM, arm64: kvm: get rid of the bounce page")

Can you try again with the latest -next please? We've merged an additional
patch aimed at sorting this out. Reverting isn't really an option, as
there's an awful lot of code that depends on the bounce page removal.

Will